import 'package:flutter/material.dart';
import 'package:rkm/config/color_palette.dart';
import 'package:rkm/config/const_variable.dart';
import 'package:rkm/widgets/text_default.dart';
import '../widgets/appbar_default.dart';

class AttendanceListScreen extends StatefulWidget {
  const AttendanceListScreen({Key? key}) : super(key: key);

  @override
  State<AttendanceListScreen> createState() => _AttendanceListScreenState();
}

class _AttendanceListScreenState extends State<AttendanceListScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBarDefault().appbar(context, 'RKM AB - Lista Atendimentos'),
      body: Container(
        decoration: ConstVariable().backgroundGradient,
        width: double.infinity,
        height: double.infinity,
        child: ListView(
          children: [
            Container(
              padding: ConstVariable().marginHightInput,
              color: ColorPalette.white,
              child: Column(
                children: [
                  TextDefault(
                    text: 'Atendimentos Domiciliares: 0 | Atendimento Individuais: 0',
                    fontWeigth: FontWeight.bold,
                    color: ColorPalette.black54,
                    fontSize: 18,
                  ),
                  TextDefault(
                    text: 'Atendimentos Odontológicos: 0 | Avaliação Elegibilidade: 0',
                    fontWeigth: FontWeight.bold,
                    color: ColorPalette.black54,
                    fontSize: 18,
                  ),
                  TextDefault(
                    text: 'Cadastros Cidadãos Realizados / Atualizados : 0',
                    fontWeigth: FontWeight.bold,
                    color: ColorPalette.black54,
                    fontSize: 18,
                  ),
                  TextDefault(
                    text: 'Fichas Complementares: 0 | Marcadores de Consumo : 0',
                    fontWeigth: FontWeight.bold,
                    color: ColorPalette.black54,
                    fontSize: 18,
                  ),
                  TextDefault(
                    text: 'Procedimentos Consolidados: 0 | Procedimentos Individuais : 0',
                    fontWeigth: FontWeight.bold,
                    color: ColorPalette.black54,
                    fontSize: 18,
                  ),
                  TextDefault(
                    text: 'Visitas Domiciliares: 0',
                    fontWeigth: FontWeight.bold,
                    color: ColorPalette.black54,
                    fontSize: 18,
                  ),
                ],
              )
            ),
          ],
        ),
      ),
    );
  }
}
